<?php
session_start();

if (!isset($_SESSION['codex']))
{
header("Location:login.php");
exit();
} else
{
    $code=$_SESSION['codex'];

}


$curl = curl_init();

curl_setopt_array($curl, array(
  CURLOPT_URL => "https://api.iheartjane.com/partner/v1/stores/".$code."/menu_products?visible=true&count=100&pagination_id=0",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "",
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 0,
  CURLOPT_FOLLOWLOCATION => true,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "GET",
  CURLOPT_HTTPHEADER => array(
    "Authorization: Token tuuJS5TS7LRkQicCV75fTN2q"
  ),
));

$response = curl_exec($curl);

curl_close($curl);

$res=substr($response,17, -12);


$data = json_decode($res, true);
$out = [];

if ($_GET['cat']==1)
{
    
        foreach($data as $element) {
            if($element['root_subtype']=="Specialty Pods" ){

                if ($element['lineage']=="sativa")
                {
                    $color="#ff0000";
                }
                elseif ($element['lineage']=="indica")
                {
                    $color="#6a0dad"; 

                }
                elseif ($element['lineage']=="hybrid")
                {
                    $color="#006400";  
                }
                elseif ($element['lineage']=="cbd")
                {
                    $color="#FFA500";

                }
                else
                {
                    $color="#FFA500";
                }
        $out []= ['name' => $element['name'], 'thc' => $element['percent_thc'],'cbd' => $element['percent_cbd'],'color'=>$color,'strain' => $element['lineage'], 'sub' => $element['kind_subtype'], 'price' => round($element['price_half_gram'])];
            }
    
    }
    if (empty($out))
{

    $out []= ['name' => 'NOT AVAILABLE', 'strain' => '', 'price' => '0'];
}
    echo json_encode($out, JSON_PRETTY_PRINT);


}
elseif ($_GET['cat']==2)
{

    foreach($data as $element) {
        if($element['kind']=='topical'){
            $out []= ['name' => $element['full_name'],'thc' => $element['percent_thc'],'cbd' => $element['percent_cbd'], 'strain' => $element['lineage'],'sub' => $element['kind_subtype'], 'price' => round($element['price_each'])];
        }

}
echo json_encode($out, JSON_PRETTY_PRINT);
}
elseif ($_GET['cat']==3)
{

    foreach($data as $element) {
        if($element['kind']=='flower'){


            if (isset($element['price_half_gram']))
            {
                $priced=$element['price_half_gram']; 
            }else if (isset($element['price_gram']))
            {
                $priced=$element['price_gram']; 
            }
            else if (isset($element['price_eighth_ounce']))
            {
                $priced=$element['price_eighth_ounce']; 
            }
            else 
            {
                $priced=$element['price_each']; 
            }
            if ($element['lineage']=="sativa")
            {
                $color="#ff0000";
            }
            elseif ($element['lineage']=="indica")
            {
                $color="#6a0dad"; 

            }
            elseif ($element['lineage']=="hybrid")
            {
                $color="#006400";  
            }
            elseif ($element['lineage']=="cbd")
            {
                $color="#FFA500";

            }
            else
            {
                $color="#FFA500";
            }

            $out []= ['name' => $element['name'],'thc' => $element['percent_thc'],'cbd' => $element['percent_cbd'],'sub'=>$element['kind_subtype'], 'color'=>$color,'strain' => $element['lineage'],'sub' => $element['kind_subtype'], 'price' => round($priced)];
        }
        

}
if (empty($out))
{

    $out []= ['name' => 'NOT AVAILABLE', 'strain' => '', 'price' => '0'];
}
echo json_encode($out, JSON_PRETTY_PRINT);
}
elseif ($_GET['cat']==11)
{

    foreach($data as $element) {
        if($element['kind']=='pre-roll'){

            if (isset($element['price_half_gram']))
            {
                $priced=$element['price_half_gram']; 
            }else if (isset($element['price_gram']))
            {
                $priced=$element['price_gram']; 
            }
            else if (isset($element['price_eighth_ounce']))
            {
                $priced=$element['price_eighth_ounce']; 
            }
            else 
            {
                $priced=$element['price_each']; 
            }
            if ($element['lineage']=="sativa")
            {
                $color="#ff0000";
            }
            elseif ($element['lineage']=="indica")
            {
                $color="#6a0dad"; 

            }
            elseif ($element['lineage']=="hybrid")
            {
                $color="#006400";  
            }
            elseif ($element['lineage']=="cbd")
            {
                $color="#FFA500";

            }
            else
            {
                $color="#FFA500";
            }

            $out []= ['name' => $element['name'],'thc' => $element['percent_thc'],'cbd' => $element['percent_cbd'],'color'=>$color, 'strain' => $element['lineage'],'sub' => $element['kind_subtype'], 'price' => round($priced)];
        }
        

}
if (empty($out))
{

    $out []= ['name' => 'NOT AVAILABLE', 'strain' => '', 'price' => '0'];
}
echo json_encode($out, JSON_PRETTY_PRINT);
}
elseif ($_GET['cat']==4)
{

    foreach($data as $element) {
        if($element['kind']=='tincture'){
            $out []= ['name' => $element['full_name'], 'thc' => $element['percent_thc'],'cbd' => $element['percent_cbd'],'strain' => $element['lineage'], 'price' => round ($element['price_each'])];
        }

}
echo json_encode($out, JSON_PRETTY_PRINT);
}
elseif ($_GET['cat']==5)
{

    foreach($data as $element) {
        if($element['root_subtype']=='Rick Simpson Oil (RSO)'){
            if (isset($element['price_half_gram']))
            {
                $priced=$element['price_half_gram']; 
            }else if (isset($element['price_gram']))
            {
                $priced=$element['price_gram']; 
            }
            else if (isset($element['price_eighth_ounce']))
            {
                $priced=$element['price_eighth_ounce']; 
            }
            else 
            {
                $priced=$element['price_each']; 
            }
            if ($element['lineage']=="sativa")
            {
                $color="#ff0000";
            }
            elseif ($element['lineage']=="indica")
            {
                $color="#6a0dad"; 

            }
            elseif ($element['lineage']=="hybrid")
            {
                $color="#006400";  
            }
            elseif ($element['lineage']=="cbd")
            {
                $color="#FFA500";

            }
            else
            {
                $color="#FFA500";
            }
            $out []= ['name' => $element['name'], 'thc' => $element['percent_thc'],'cbd' => $element['percent_cbd'],'color'=>$color, 'strain' => $element['lineage'], 'price' => round($priced)];        }

}
if (empty($out))
{

    $out []= ['name' => 'NOT AVAILABLE', 'strain' => '', 'price' => '0'];
}
echo json_encode($out, JSON_PRETTY_PRINT);
}
elseif ($_GET['cat']==6)
{

    foreach($data as $element) {
        if($element['root_subtype']=='Syringes/Tankers'OR $element['root_subtype']=='Shatters'OR $element['root_subtype']=='Rosins'OR $element['root_subtype']=='Sauces'OR $element['root_subtype']=='Other'OR $element['root_subtype']=='Waxes' ){
            if (isset($element['price_half_gram']))
            {
                $priced=$element['price_half_gram']; 
            }else if (isset($element['price_gram']))
            {
                $priced=$element['price_gram']; 
            }
            else if (isset($element['price_eighth_ounce']))
            {
                $priced=$element['price_eighth_ounce']; 
            }
            else 
            {
                $priced=$element['price_each']; 
            }
            if ($element['lineage']=="sativa")
            {
                $color="#ff0000";
            }
            elseif ($element['lineage']=="indica")
            {
                $color="#6a0dad"; 

            }
            elseif ($element['lineage']=="hybrid")
            {
                $color="#006400";  
            }
            elseif ($element['lineage']=="cbd")
            {
                $color="#FFA500";

            }
            else
            {
                $color="#FFA500";
            }

            $out []= ['name' => $element['name'],'thc' => $element['percent_thc'],'cbd' => $element['percent_cbd'],'color'=>$color, 'strain' => $element['lineage'], 'sub' => $element['kind_subtype'],'price' => round($priced)];
        }


}
if (empty($out))
{

    $out []= ['name' => 'NOT AVAILABLE', 'strain' => '', 'price' => '0'];
}
echo json_encode($out, JSON_PRETTY_PRINT);
}

elseif ($_GET['cat']==7)
{

    foreach($data as $element) {
        if($element['kind']=='edible'){
            if ($element['lineage']=="sativa")
            {
                $color="#ff0000";
            }
            elseif ($element['lineage']=="indica")
            {
                $color="#6a0dad"; 

            }
            elseif ($element['lineage']=="hybrid")
            {
                $color="#006400";  
            }
            elseif ($element['lineage']=="cbd")
            {
                $color="#FFA500";

            }
            else
            {
                $color="#FFA500";
            }
            $out []= ['name' => $element['name'],'thc' => $element['percent_thc'],'cbd' => $element['percent_cbd'],'color'=>$color, 'strain' => $element['lineage'],'sub' => $element['kind_subtype'], 'price' => round($element['price_each'])];
        }

}
echo json_encode($out, JSON_PRETTY_PRINT);
}

elseif ($_GET['cat']==8)
{

    foreach($data as $element) {
        if($element['kind']=='gear'){
            $out []= ['name' => $element['name'], 'thc' => $element['percent_thc'],'cbd' => $element['percent_cbd'],'strain' => $element['lineage'], 'price' => round ($element['price_each'])];
        }

}
echo json_encode($out, JSON_PRETTY_PRINT);
}
elseif ($_GET['cat']==9)
{
    
    foreach($data as $element) {
        if( $element['kind_subtype']=='Pure Cartridge'){
            if ($element['lineage']=="sativa")
            {
                $color="#ff0000";
            }
            elseif ($element['lineage']=="indica")
            {
                $color="#6a0dad"; 

            }
            elseif ($element['lineage']=="hybrid")
            {
                $color="#006400";  
            }
            elseif ($element['lineage']=="cbd")
            {
                $color="#FFA500";

            }
            else
            {
                $color="#FFA500";
            }
    $out []= ['name' => $element['name'], 'thc' => $element['percent_thc'],'cbd' => $element['percent_cbd'],'color'=>$color,'strain' => $element['lineage'], 'sub' => $element['kind_subtype'], 'price' => round($element['price_half_gram'])];
        }

}
if (empty($out))
{

$out []= ['name' => 'NOT AVAILABLE', 'strain' => '', 'price' => '0'];
}
echo json_encode($out, JSON_PRETTY_PRINT);


}
elseif ($_GET['cat']==10)
{
    
    foreach($data as $element) {
        if($element['root_subtype']== "Disposables" ){
            if ($element['lineage']=="sativa")
            {
                $color="#ff0000";
            }
            elseif ($element['lineage']=="indica")
            {
                $color="#6a0dad"; 

            }
            elseif ($element['lineage']=="hybrid")
            {
                $color="#006400";  
            }
            elseif ($element['lineage']=="cbd")
            {
                $color="#FFA500";

            }
            else
            {
                $color="#FFA500";
            }
    $out []= ['name' => $element['name'],'thc' => $element['percent_thc'],'cbd' => $element['percent_cbd'],'color'=>$color, 'strain' => $element['lineage'], 'sub' => $element['kind_subtype'], 'price' => round($element['price_half_gram'])];
        }

}
if (empty($out))
{

$out []= ['name' => 'NOT AVAILABLE', 'strain' => '', 'price' => '0'];
}
echo json_encode($out, JSON_PRETTY_PRINT);


}
elseif ($_GET['cat']==12)
{
    
    foreach($data as $element) {
                if($element['kind_subtype']== "RSO Strain Specific Tincture"){

  if ($element['lineage']=="sativa")
            {
                $color="#ff0000";
            }
            elseif ($element['lineage']=="indica")
            {
                $color="#6a0dad"; 

            }
            elseif ($element['lineage']=="hybrid")
            {
                $color="#006400";  
            }
            elseif ($element['lineage']=="cbd")
            {
                $color="#FFA500";

            }
            else
            {
                $color="#FFA500";
            }

            $out []= ['name' => $element['name'],'thc' => $element['percent_thc'],'cbd' => $element['percent_cbd'],'color'=>$color, 'strain' => $element['lineage'], 'sub' => $element['kind_subtype'], 'price' => round($element['price_each'])];       }

}
if (empty($out))
{

$out []= ['name' => 'NOT AVAILABLE', 'strain' => '', 'price' => '0'];
}
echo json_encode($out, JSON_PRETTY_PRINT);


}
elseif ($_GET['cat']==13)
{
    
    foreach($data as $element) {
                if($element['kind_subtype']== "Plus Cartridge"){

  if ($element['lineage']=="sativa")
            {
                $color="#ff0000";
            }
            elseif ($element['lineage']=="indica")
            {
                $color="#6a0dad"; 

            }
            elseif ($element['lineage']=="hybrid")
            {
                $color="#006400";  
            }
            elseif ($element['lineage']=="cbd")
            {
                $color="#FFA500";

            }
            else
            {
                $color="#FFA500";
            }

            $out []= ['name' => $element['name'],'thc' => $element['percent_thc'],'cbd' => $element['percent_cbd'],'color'=>$color, 'strain' => $element['lineage'], 'sub' => $element['kind_subtype'], 'price' => round($element['price_half_gram'])];       }

}
if (empty($out))
{

$out []= ['name' => 'NOT AVAILABLE', 'strain' => '', 'price' => '0'];
}
echo json_encode($out, JSON_PRETTY_PRINT);


}
elseif ($_GET['cat']==14)
{
    
    foreach($data as $element) {
                if($element['kind']== "edible"){

  if ($element['lineage']=="sativa")
            {
                $color="#ff0000";
            }
            elseif ($element['lineage']=="indica")
            {
                $color="#6a0dad"; 

            }
            elseif ($element['lineage']=="hybrid")
            {
                $color="#006400";  
            }
            elseif ($element['lineage']=="cbd")
            {
                $color="#FFA500";

            }
            else
            {
                $color="#FFA500";
            }

            $out []= ['name' => $element['name'],'thc' => $element['percent_thc'],'cbd' => $element['percent_cbd'],'color'=>$color, 'strain' => $element['lineage'], 'sub' => $element['kind'], 'price' => round($element['price_each'])];       }

}
if (empty($out))
{

$out []= ['name' => 'NOT AVAILABLE', 'strain' => '', 'price' => '0'];
}
echo json_encode($out, JSON_PRETTY_PRINT);


}
?>